Core resources
Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgetsBooking flow
Query availabilitySearch availabilityBookAttributes to segment and filter units by
iduuidUnique identifier
created_attimestamp with time zoneCreation timestamp
nameMultiLanguageStringLocalized name
orderintegerOrder of the attribute displayed on widgets and websites
type"single-select" | "multi-select"Attribute type, either single-select of multi-select
JSON
{
"id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-03-12T05:19:01.541Z",
"name": {
"default": "Hello",
"nl-NL": "Hallo"
},
"order": 1,
"type": "single-select"
}idFilter<uuid>Unique identifier
organization_idFilter<uuid>Identifier of the organization this attribute is defined in
created_atFilter<timestamp with time zone>Creation timestamp
nameFilter<MultiLanguageString>Localized name
orderFilter<integer>Order of the attribute displayed on widgets and websites
typeFilter<"single-select" | "multi-select">Attribute type, either single-select of multi-select
200A list of attributes with the selected columns
206Partial Content
GET /attributescurl -X GET "https://api.bookingmood.com/v1/attributes?select=*" \
-H "Authorization: Bearer YOUR_API_KEY"Partial<Attribute> | Array<Partial<Attribute>>201The newly created attributes with the selected columns
POST /attributescurl -X POST "https://api.bookingmood.com/v1/attributes" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '[]'idFilter<uuid>Unique identifier
organization_idFilter<uuid>Identifier of the organization this attribute is defined in
created_atFilter<timestamp with time zone>Creation timestamp
nameFilter<MultiLanguageString>Localized name
orderFilter<integer>Order of the attribute displayed on widgets and websites
typeFilter<"single-select" | "multi-select">Attribute type, either single-select of multi-select
204The deleted attributes with the selected columns
DELETE /attributescurl -X DELETE "https://api.bookingmood.com/v1/attributes" \
-H "Authorization: Bearer YOUR_API_KEY"idFilter<uuid>Unique identifier
organization_idFilter<uuid>Identifier of the organization this attribute is defined in
created_atFilter<timestamp with time zone>Creation timestamp
nameFilter<MultiLanguageString>Localized name
orderFilter<integer>Order of the attribute displayed on widgets and websites
typeFilter<"single-select" | "multi-select">Attribute type, either single-select of multi-select
Partial<Attribute>204The updated attributes with the selected columns
PATCH /attributescurl -X PATCH "https://api.bookingmood.com/v1/attributes" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{}'